Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Aug 2019 18:34:21 +0200

Paul Eggert <[email-masked]> writes:

Hi Paul,

> Surely the fix won't work for most inode numbers greater than 2**53,
> because converting them to double and back will lose information due
> to rounding.

Tramp uses this approach already at other places, I have just unified
the way inode numbers are retrieved. No problem reported over the years.

At which places in the code do you believe such errors will happen? The
floating number will be converted in tramp-convert-file-attributes, I
cannot see how a rounding error could happen there.

Practically, the inode slot of file-attributes doesn't seem to be
relevant. I haven't seen any code in Emacs which needs this
slot. Likely, Tramp spends too much effort computing it, I believe.

Best regards, Michael.